/*
 * Nokia 3110 / 5110 driver
 * Based on a work by Tony Myatt - 2007
 * Modifie par Radu Motisan - 2013 
 * www.pocketmagic.net qui le propose en C++ comme Open Source
 * Modifie et transpose en C par Silicium628 juin 2014 
 * (en particulier ajout du buffer et de la fonction  "tracer_segment")
 */


#include "timeout.h"

#define CHAR_WIDTH 6
#define CHAR_HEIGHT 8


  uint8_t  bit_RST = 0;
  uint8_t  bit_SCE = 1; 	
  uint8_t  bit_DC  = 2;
  uint8_t  bit_DATA= 3;
  uint8_t  bit_CLK = 4;
	
	int lcdCacheIdx;

	void lcd_clear(void);
	void lcd_clear_area(uint8_t line, uint8_t startX, uint8_t endX);
	void lcd_clear_line(uint8_t line);
	void lcd_goto_LC(uint8_t L, uint8_t C);
	void lcd_goto_xy(uint8_t x, uint8_t y);
	void lcd_putc(char chr);
	void lcd_puts(const char *str);
	void lcd_puts2(const char *s);
	void lcd_string_format(char *szFormat, ...);
	void lcd_send(uint8_t data, uint8_t cd);
	void lcd_base_addr(unsigned int addr) ;
	void lcd_col(char chr);
	void lcd_pixelBack(void);
	void lcd_aff_nb (uint16_t valeur, uint8_t nb_chiffres, uint8_t nb_decimales);
	void buffer_RAZ();
	void buffer_drawPixel(uint8_t  x, uint8_t  y); 
	void buffer_trace_baton_V(uint8_t x, uint8_t y);
	void buffer_trace_segment(int x1, int y1, int x2, int y2); // tracé d'un segment entre deux points (dans le buffer)
	void affi_buffer(uint8_t offset);
